Subject: RE: [Sip] INFO method used for ISUP to SIP IW

From: "GARCIN Sebastien RD-CORE-ISS" <[email-masked]>
Date: Wed, 6 Jul 2005 15:08:09 +0200

Hi,

You should follow ITU-T recommendation Q.1912.5 in this respect.

Regards,

-----Message d'origine-----
De : [email-masked] [mailto:[email-masked]] De la part de xupeili
Envoyé : mercredi 6 juillet 2005 04:11
À : 'Li, Bourne Bao (Bourne)'; 'Sip (E-mail)'
Objet : RE: [Sip] INFO method used for ISUP to SIP IW

INFO can be sent after early-dialog is established. 
So that INR/INF should be encapsulated in INFO after early dialog.

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Li, Bourne Bao (Bourne)
Sent: Wednesday, July 06, 2005 9:13 AM
To: Sip (E-mail)
Subject: [Sip] INFO method used for ISUP to SIP IW

I got one question of INFO method usage for ISUP to SIP IW. 

Per RFC 2976 said INFO is used to convey the mid-call information between 2 UA without impacting the existing call state, which may be used for ISUP to SIP IW.  

My question is can INFO method be sent before the dialog has been established, or it is only allowed to be sent after a confirmed dialog.
Because some ISUP message such as INR/INF, will be sent before ACM/ANM, which maps to SIP will establish the confirmed dialog.

Thanks,
Bao

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol Use [email-masked] for questions on current sip Use [email-masked] for new developments on the application of sip

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol Use [email-masked] for questions on current sip Use [email-masked] for new developments on the application of sip

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: "Drage, Keith (Keith)" <[email-masked]>
Date: Wed, 6 Jul 2005 17:49:01 +0100

I hope you just mean that Q.1912.5 may provide additional guidance on how it is interworked.

Q.1912.5 cannot change the INFO method and when it is used as the SIP changes RFC precludes that, and in any case, Q.1912.5 is only an interworking specification, and interworking specifications cannot rewrite the base protocol.

regards

Keith

> From: [email-masked] [mailto:[email-masked]]On Behalf Of
> GARCIN Sebastien RD-CORE-ISS
> Sent: 06 July 2005 14:08
> To: xupeili; Li, Bourne Bao (Bourne); Sip (E-mail)
> Subject: RE: [Sip] INFO method used for ISUP to SIP IW
> 
> 
> Hi,
> 
> Per RFC 2976 said INFO is used to convey the mid-call 
> information between 2 UA without impacting the existing call 
> state, which may be used for ISUP to SIP IW.  
> 
> My question is can INFO method be sent before the dialog has 
> been established, or it is only allowed to be sent after a 
> confirmed dialog.
> Because some ISUP message such as INR/INF, will be sent 
> before ACM/ANM, which maps to SIP will establish the confirmed dialog.
> 
> Thanks,
> Bao
> 
> This list is for NEW development of the core SIP Protocol Use 
> [email-masked] for questions on current sip 
> This list is for NEW development of the core SIP Protocol Use 
> [email-masked] for questions on current sip

---

From: "Christer Holmberg (JO/LMF)" <[email-masked]>
Date: Thu, 7 Jul 2005 09:09:58 +0200

Hi,

>guidance on how it is interworked.

Yes. Q.1912.5 says that certain ISUP messages, in certain situations, are encapsulated and carried in SIP 18x responses.

>Q.1912.5 cannot change the INFO method and when it is used as 
>the SIP changes RFC precludes that, and in any case, Q.1912.5 
>is only an interworking specification, and interworking 
>specifications cannot rewrite the base protocol.

I don't think the Q.1912.5 changes the INFO method. The reason Q.1912.5 says how ISUP messages are interworked, and in the case of SIP-I also carried, in SIP messages. And, all that is of course based on what is allowed from a SIP perspective.

Regards,

Christer
LM Ericsson

---

From: "Christer Holmberg (JO/LMF)" <[email-masked]>
Date: Thu, 7 Jul 2005 09:17:45 +0200

Hi,

No matter if, at the end of the day, it is allowed to send INFO backward in an early dialog or not, Q.1912.5 currently says that 18x is used to carry most ISUP messages in the backward direction during early dialogs. 

Someone also mentioned forking. If you have SIP-I with forking there are a number of of other issues to think about, so "INFO vs 18x" is probably going to be the least of your problems :)

Regards,

Christer
LM Ericsson

> xupeili
> Sent: 7. heinäkuuta 2005 5:55
> To: [email-masked]; Christer Holmberg (JO/LMF);
> [email-masked]; [email-masked];
> [email-masked]; [email-masked]; [email-masked]
> Now there are 2 questions: 
> 
> (1) When can INFO be sent? Can it be sent from callee to caller?
> 
> At the time when RFC2976 is created, "early dialog" is not introduces.
> Although RFC2976 said that it follows the rules for BYE. 
> I guess the indended meaning is that it should follow the 
> rules for messages
> inside dialog such as BYE.
> Since it can be used to carry end-to-end 
> information(sometimes before dialog
> is confirmed like UPDATE), there is no reason to prohibit it 
> from being sent
> by callee within dialog.
> 
> Where it can be sent before early dialog is an interesting 
> question, It may
> depend on the intent of the message. 
> Considering the forking issure, if it carries the information 
> which must be
> sent to the designated recipient, it`s better to send in 
> within a dialog.
> 
> In this case, my personal opinion is that early dialog should 
> be established
> as early as possible to make UPDATE or INFO possible to be delivered. 
> even there is no explicit progress indicator for ringing  or 
> queing etc.
> 
> (2) for ISUP interworking where to encapsulate backword ISUP 
> message like
> INR? INFO or reliable 1xx?
> 
> If we agree that INFO can be sent in both direction. It may 
> be sent either
> in reliable 1xx or INFO. 
> 
> RFC3398 section 13.1 have some rule: 
> "From the caller to the callee, other ISUP messages SHOULD be
>    encapsulated (see [3]) inside INFO messages, even if the INVITE
>    transaction is still not finished. "
> 
> "From the callee to the caller, if a message is received by a gateway
>    before the call has been answered (i.e., ANM is received) it SHOULD
>    be encapsulated in an INFO, provided that this will not be 
> the first
>    SIP message sent in the backwards direction (in which case 
> it SHOULD
>    be encapsulated in a provisional 1xx response). Similarly a message
>    which is received on the originating side (probably in 
> response to an
>    INR) before a 200 OK has been received by the gateway should be
>    carried within an INFO.  "
> 
> From: [email-masked] [mailto:[email-masked]] On Behalf Of
> [email-masked]
> Sent: Thursday, July 07, 2005 1:35 AM
> To: [email-masked]; 
> [email-masked];
> [email-masked]; [email-masked]; [email-masked]
> Subject: Re: [Sip] INFO method used for ISUP to SIP IW
> 
> In a message dated 7/6/2005 11:47:52 AM Eastern Daylight Time,
> [email-masked] writes:
> 
> 
> 
> If I remember correctly, INFO follows the rules of BYE. And, 
> a BYE cannot be
> sent in the backword direction for an early dialog, I think.
> 
> 
> RFC 2976 says that the INFO follows the rules for BYE as 
> contained in RFC
> 2543, which is now obsolete, so where does that leave us? RFC 
> 2543 didn't
> mention "early dialog". Can anyone say that RFC 3261 is 
> exactly the same in
> this area?
> 
> We've already seen at least three different opinions on this question.
> 
> Mike
> 
>

---

From: "Christer Holmberg (JO/LMF)" <[email-masked]>
Date: Thu, 7 Jul 2005 11:52:21 +0200

Hi,

Also, if I remember correctly, this was in fact discussed on the SIP/SIPPING list at the time when we were working on Q.1912.5., so I assume that our understanding of the usage of INFO was verified at that time.

Regards,

Christer
LM Ericsson

> Christer Holmberg (JO/LMF)
> Sent: 7. heinäkuuta 2005 10:18
> To: xupeili; [email-masked]; [email-masked];
> [email-masked]; [email-masked]; [email-masked]; [email-masked]
> No matter if, at the end of the day, it is allowed to send 
> INFO backward in an early dialog or not, Q.1912.5 currently 
> says that 18x is used to carry most ISUP messages in the 
> backward direction during early dialogs. 
> 
> Someone also mentioned forking. If you have SIP-I with 
> forking there are a number of of other issues to think about, 
> so "INFO vs 18x" is probably going to be the least of your problems :)
> 
> Regards,
> 
> Christer
> LM Ericsson
>